# $Revision: 1.86 $, $Date: 2006/06/22 14:25:58 $
Summary:	A GNU source-level debugger for C, C++ and Fortran
Summary(de):	Symbolischer Debugger fr C und andere Sprachen
Summary(es):	Depurador de programas C y otras lenguajes
Summary(fr):	Dbugger symbolique pour C et d'autres langages
Summary(pl):	Symboliczny odpluskwiacz dla C i innych jzykw
Summary(pt_BR):	Depurador de programas C e outras linguagens
Summary(ru):	   C   
Summary(tr):	C ve dier diller iin sembolik hata ayklayc
Summary(uk):	 צ     
Summary(zh_CN):	[]CԵĵ
Summary(zh_TW):	[.-A}o]CM.$)B.-ALy.$)Bով
Name:		gdb
Version:	6.5
Release:	1
License:	GPL
Group:		Development/Debuggers
Source0:	ftp://ftp.gnu.org/gnu/gdb/%{name}-%{version}.tar.bz2
# Source0-md5:	af6c8335230d7604aee0803b1df14f54
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	2e8a48939ae282c12bbacdd54e398247
Patch0:		%{name}-readline.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-passflags.patch
# updated from http://www.math.uni.wroc.pl/~hebisch/gpc/gdb-6.1.diff
Patch3:		%{name}-gpc.patch
Patch4:		%{name}-gdbinit-stat.patch
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	readline-devel >= 4.3
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gdb is a full featured, command driven debugger. Gdb allows you to
trace the execution of programs and examine their internal state at
any time. Gdb works for C and C++ compiled with the GNU C compiler
gcc.

%description -l de
dem Sie die Ausfhrung von Programmen verfolgen und jederzeit den
inneren Zustand berprfen knnen. Er funktioniert fr C und mit GNU C
kompiliertes C++.

%description -l es
Este es un debugger orientado a comandos repleto de caractersticas.
Te permite rastrear la ejecucin de programas y examinar su estado
interno a cualquier momento. Funciona para C y C++ compilado con el
compilador GNU C.

%description -l fr
Dbugger complet, pilot par commandes. Permet de tracer l'excution
des programmes et d'examiner  tout moment leur tat interne.
Fonctionne avec les binaires C et C++ compils avec le compilateur C
de GNU, gcc.

%description -l pl
Gdb jest rozbudowanym odpluskwiaczem (debuggerem), pozwalajcym
ledzi wykonywanie programu i bada jego stan wewntrzny. Gdb
umoliwia odpluskwianie programw napisanych w C/C++ i skompilowanych
przy pomocy kompilatora GNU (gcc).

%description -l pt_BR
Este  um debugger orientado a comandos repleto de caractersticas.
Ele permite  voc rastrear a execuo de programas e examinar o seu
estado interno a qualquer momento. Ele funciona para para C e C++
compilado com o compilador GNU C.

%description -l ru
  ,  .  
        
  .     C  C++,
 GNU  C (gcc, egcs, pgcc).

%description -l tr
Bir komut arayz zerinden programcya programn adm adm izleme
(trace) ve herhangi bir anda programn durumunu inceleme olana
verir.

%description -l uk
 æ צ,  դ .  Ѥ
      ҦΦ   צ
 .     C  C++, Ц
Ц GNU C (gcc, egcs, pgcc).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0

%build
for dir in `find gdb/ -name 'configure.in'`; do
	dir=$(dirname "$dir")
	olddir=$(pwd)
	cd $dir
	rm -f aclocal.m4
	%{__aclocal}
	%{__autoconf}
	cd $olddir
done
cp -f /usr/share/automake/config.* .
# !! Don't enable shared here !!
# This will cause serious problems --misiek
%configure2_13 \
	--disable-gdbtk \
	--disable-shared \
	--enable-gdbcli \
	--enable-gdbmi \
	--enable-multi-ice \
	--enable-netrom \
	--enable-nls \
	--enable-tui \
	--with-cpu=%{_target_cpu} \
	--without-included-gettext \
	--without-included-regex \
	--without-x \
%ifnarch alpha
	--with-mmalloc
%endif

%{__make}
%{__make} info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_infodir}

%{__make} install install-info \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	sbindir=$RPM_BUILD_ROOT%{_sbindir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc gdb/{ChangeLog,NEWS,PROBLEMS,README}
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/gdb*.info*
%{_infodir}/stabs*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gdb.spec,v $
Revision 1.86  2006/06/22 14:25:58  qboosh
- updated to 6.5, updated readline,gpc patches

Revision 1.85  2006/01/12 10:47:06  qboosh
- X doesn't seem to be used, disable it explicitly (and kill BR)
- double configure hack seems no longer needed
- release 2

Revision 1.84  2005/12/08 12:08:12  qboosh
- updated to 6.4 (fixes CVE-2005-1704)
- added gdbinit-stat patch from Gentoo (fixes CVE-2005-1705)
- removed obsolete ncurses patch

Revision 1.83  2005/09/17 10:29:16  arekm
- rebuild with readline 5.0

Revision 1.82  2005/05/20 13:47:58  glen
- TODO: GLSA 200505-15

Revision 1.81  2005/04/29 19:18:42  qboosh
- added gpc patch, release 2

Revision 1.80  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.79  2004/11/19 23:30:48  qboosh
- updated to 6.3
- updated ncurses,readline patches, removed obsolete ada-*,headers patches

Revision 1.78  2004/09/09 19:08:54  qboosh
- updated to 6.2.1

Revision 1.77  2004/07/31 21:39:01  qboosh
- updated to 6.2, updated readline patch, removed obsolete ada-update* patches

Revision 1.76  2004/06/23 18:43:34  qboosh
- added set of ada patches, enabled ada support (not perfect, but usable)

Revision 1.75  2004/06/22 21:54:07  qboosh
- updated to 6.1.1, updated info patch

Revision 1.74  2004/04/25 08:29:15  qboosh
- release 2

Revision 1.73  2004/04/25 00:23:04  qboosh
- removed (now breaking) sparc-workaroudn patch
- added headers patch (fixes build on amd64)

Revision 1.72  2004/04/17 21:10:39  qboosh
- updated to 6.1
- updated ncurses,readline,info patches, removed obsolete procfs patch

Revision 1.71  2004/01/12 07:28:55  jajcus
- Release: 1 (no comment/changelog entry seems to justify release<1)

Revision 1.70  2003/12/21 20:48:45  undefine
- copy config.* to allow build on amd64

Revision 1.69  2003/11/11 02:15:08  qboosh
- BR: automake

Revision 1.68  2003/11/08 15:47:36  qboosh
- added sparc-workaround patch to allow build on sparc; release 0.2

Revision 1.67  2003/10/10 22:26:51  qboosh
- removed obsolete gettext patch

Revision 1.66  2003/10/09 18:06:19  arekm
- compiles fine

Revision 1.65  2003/10/09 16:17:00  arekm
- started (fetch sources)

Revision 1.64  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.63  2003/05/25 05:47:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.62  2003/02/28 10:07:55  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.61  2003/01/11 14:56:47  qboosh
- 5.3, updated readline patch

Revision 1.60  2002/09/11 10:47:22  undefine
- zh_* summary from turbolinux

Revision 1.59  2002/07/27 11:33:38  qboosh
- updated to 5.2.1 (mainly bugfixes)

Revision 1.58  2002/05/23 18:10:55  qboosh
- no subshells
- added second section to passflags patch, now gdb builds

Revision 1.57  2002/05/22 23:37:47  filon
- BuildRequires: autoconf >= 2.53, doesn't require automake

Revision 1.56  2002/05/22 06:29:49  kloczek
- merge translations from KSI.

Revision 1.55  2002/05/22 05:20:30  filon
- updated for 5.2
- updated readline and ncurses patches, STBR

Revision 1.54  2002/04/25 16:21:31  arturs
- fixed a small typo

Revision 1.53  2002/04/09 11:14:35  malekith
- added passflags patch (should fix ppc build)

Revision 1.52  2002/04/08 16:50:53  malekith
- use ppc-include patch, to allow build on ppc with libbfd-devel installed

Revision 1.51  2002/02/23 02:06:17  kloczek
- adapterized.

Revision 1.50  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.49  2002/02/05 12:55:55  kloczek
- release 2.

Revision 1.48  2002/02/04 08:59:15  qboosh
- cleanup

Revision 1.47  2002/02/02 17:17:11  qboosh
- updated to 5.1.1 (bugfixes relative to 5.1)
- updated readline patch (screen{width,height} symbols)
- workaround for $exeext=="no" is back

Revision 1.46  2002/01/24 00:12:59  ankry
- added man-pages tar URL

Revision 1.45  2002/01/23 00:21:22  filon
- updated to 5.1
- updated patches: ncurses (improved it), readline, info and procfs
- added tui compilation
- changes in build
- STB (builds and works)

Revision 1.44  2002/01/18 02:13:01  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/12/18 09:57:33  kloczek
- merge translations from Conectiva.

Revision 1.42  2001/11/09 00:01:04  ankry
- added es,fr,hu,ja,pl man pages
- release 8

Revision 1.41  2001/10/08 13:55:30  qboosh
- don't gzip man and info pages in spec - rpm does

Revision 1.40  2001/09/26 10:29:36  qboosh
- BuildRequires: libtool

Revision 1.39  2001/08/04 17:39:54  qboosh
- added info directory fixes to info patch
- rebuild each configure in gdb tree
- libtoolize in gdb (to remove 'no' extension from filenames :/)
- ...but %configure2_13 must be used, main configure is not autoconf-generated
- release 7

Revision 1.38  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.36  2001/04/13 00:51:03  kloczek
- release 6: rebuild against readline 4.2.

Revision 1.35  2001/02/08 01:12:01  kloczek
- release 5.

Revision 1.34  2001/02/07 16:29:58  wiget
- fix --with-cpu configure parameter

Revision 1.33  2001/01/31 11:25:12  misiek
- fixed builing on alpha. stb

Revision 1.32  2000/11/18 11:42:13  malekith
- Allow build on sparc - undef USE_PROC_FS.

Revision 1.31  2000/09/11 17:33:39  kloczek
- adapterized.

Revision 1.30  2000/09/06 13:08:08  misiek
- importand fixes

Revision 1.29  2000/07/13 23:08:25  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.28  2000/07/13 20:40:14  baggins
- release 2

Revision 1.27  2000/06/12 14:10:03  baggins
- use bzipped source

Revision 1.26  2000/06/09 07:54:41  kloczek
- more %{__make} macros.

Revision 1.25  2000/06/09 07:22:50  kloczek
- added using %{__make} macro.

Revision 1.24  2000/05/29 15:01:49  kura
- commented gdb-shared-readline.patch (it is buggy)

Revision 1.23  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.22  2000/05/24 16:49:35  misiek
- updated patch
- new source
  DON'T USE IT YET !
  BUILDER RPM WILL NOT CONTAIN FEW LIBRARIES AND OTHER IMPORTANT THINGS
  (need to update %files section)

Revision 1.21  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.20  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.19  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.17  2000/03/25 11:07:25  alchemyx
- rebuilt with readline 4.1

Revision 1.16  1999/11/22 13:48:33  kloczek
- relase 7 (in RH is 6),
- added BuildRequires rules,
- build agains ncurses 5.0,
- added patches set from Mandrake.

Revision 1.15  1999/11/12 00:57:43  kura
- fixed pl translation

Revision 1.14  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.13  1999/09/19 09:05:40  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.12  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May 16 1999 Artur Frysiak <wiget@pld.org.pl>
  [4.18-3]
- configure with --host=%{_host_alias} instead --host=%{_host} to prevent build
  crosscompiler prefix (eg i586-pc-linux-gdb)
- using more rpm macros

* Fri May 14 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.18-2]
- now package is FHS 2.0 compliant.

* Tue Apr 13 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.18-1]
- standarized {un}registering info pages (added gdb-info.patch).
- removed man group from man pages.

* Mon Apr 12 1999 Marcin Dalecki <dalecki@cs.net.pl>
  [4.18]
- updated to this fresh new release.

* Sat Oct 17 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.17.0.4-3]
- added gdb-readline_ncurses.patch for compiling gdb agains shared
  libredline and libncurses.

* Sun Sep 27 1998 Marcin Korzonek <mkorz@shadow.eu.org>
- added pl translation,
- major changes for PLD Linux
